DEL
Delete access token
Revokes an access token by setting its expiration to the current time. The token can no longer be used for authentication. Returns the expired token document.
Path Params
-
tokenstring requiredThe public ID of the access token to revoke (32-character lowercase hex string).
Responses
200
OK
Response Body
object
-
idstring required -
isExtensibleboolean required -
adminScopestring enumreadfull -
bitgoAdminPermissionsarray of strings -
clientstring -
createdstring date-time -
enterprisestring -
expiresstring date-time -
extensionAddressstring -
ipstring ipv4IP address of the client that requested this access token -
ipRestrictarray of strings -
labelstring -
originstringBitGo environment that issued this token -
tokenstring -
scopearray of strings -
unlockobjectunlock object
-
spendingLimitsmap of objectsspendingLimits object
-
<key>objectvalue object
-
txCountnumberThe transaction count limit for the coin -
txValuenumberThe transaction value limit for the coin -
txValueLimitnumberThe maximum transaction value limit for the coin
-
-
-
allErc20TokensLimitobjectallErc20TokensLimit object
-
enabledboolean requiredIndicates if the limit is enabled for all ERC20 tokens -
txCountnumber requiredThe transaction count limit for all ERC20 tokens -
txValuestring requiredThe transaction value limit for all ERC20 tokens -
txValueLimitInSmallUnitsstringThe transaction value limit in small units for all ERC20 tokens -
maxLimitbooleanIndicates if the maximum limit is enabled
-
-
expiresstring date-time -
timestring date-time -
txCountnumber -
txValuenumber -
txValueLimitnumber
-
-
userstring -
oauthobjectoauth object
-
oauthRequiredboolean -
expiresstring date-time
-
-
isMobileAccessTokenbooleanFlag indicating if this token was created via mobile session endpoint
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id